#ifndef _PARAMFASTFADING_H_
#define _PARAMFASTFADING_H_

#include <Eigen/Dense>
using namespace Eigen;


extern double log_DS_mean[3];
extern double log_DS_std[3];
extern double log_ASD_mean[3];
extern double log_ASD_std[3];
extern double log_ASA_mean[3];
extern double log_ASA_std[3];
extern double log_ZSA_mean[3];
extern double log_ZSA_std[3];
extern double K_mean;
extern double K_std;

extern double delay_scaling_param[3];
extern double XPR_mean[3];
extern double XRP_std[3];
extern int num_cluster[3];
extern int num_ray_per_cluster[3];
extern double C_DS[3];
extern double C_ASD[3];
extern double C_ASA[3];
extern double C_ZSA[3];
extern double per_cluster_showing_std[3];
extern double log_ZSD_mean[3];
extern double log_ZSD_std[3];
extern double ZOD_offset[3];

extern int AOD_AOA_distribution;
extern int ZOD_ZOA_distribution;

extern MatrixXd sqrt_corr_matrx_LOS;
extern MatrixXd sqrt_corr_matrx_NLOS;
extern MatrixXd sqrt_corr_matrx_OUT2IN;
extern double corr_dist_DS[3];
extern double corr_dist_ASD[3];
extern double corr_dist_ASA[3];
extern double corr_dist_SF[3];
extern double corr_dist_K[3];
extern double corr_dist_ZSA[3];
extern double corr_dist_ZSD[3];


#endif