#ifndef _PARAMSIMUL_H_
#define _PARAMSIMUL_H_

#include "rvGenerater.h"
#include <iostream>
#include <Eigen/Dense>
#include "struct.h"
using namespace Eigen;
using namespace std;


extern struct Rand Rand;
extern unsigned long _seed;
extern bool calibration;

extern int t;
extern int run_times;


extern int drop_idx;
extern int num_drops;
extern int num_ue;
extern int num_bs;
extern int num_sector;
extern int num_user_per_sector;
extern int num_rb;
extern int num_TRxP_per_site;

extern int pathloss_model;
extern int test_environment;
extern int num_compute_coef;
extern double subcarrier_spacing;
extern int fft_size;
extern double slot_interval;
extern double sampling_frequency;
extern int num_freq_per_rbs;


extern int num_neighbor;

extern double grid_interval;

extern double carrier_freq;
extern double ue_power;
extern double TRxP_power;
extern double lamda_0;


extern char *file_name;
extern char path[100];


extern int wrap[19][19];
extern LOCATION bs_location[19];

extern int cqi_history_length;
extern int schedule_delay;
extern SCHEDULE_DECISION **ppSchedule_Map;

#endif